
/* 
 Industry crosswalk to aggregate ind1990 into consistent 
 categories for 1970-1980-1990-2000-2010 (5yr ACS 2012)
 (gbasso@ucdavis.edu, 1/12/2015; checked with Dorn's 
 dofile subfile_ind1990dd)
*/

* veterinary services, agricultural services, nec, and agr. production (livestock) to agri prod. crops
replace ind1990=10 if ind1990==11|ind1990==12|ind1990==30

* yarn, thread, and fabric mills to misc. textile mill products
replace ind1990=150 if ind1990==142

* tires and inner tubes to miscellaneous plastics products
replace ind1990=212 if ind1990==210

* leather tanning and finishing to leather products except footwear
replace ind1990=222 if ind1990==220

* wood buildings and mobile homes to misc wood products
replace ind1990=241 if ind1990==232

* screw machine products to metal industries, nec
replace ind1990=301 if ind1990==290

* office and accounting machines to computers and related equipment
replace ind1990=322 if ind1990==321

* electrical machinery, equipment and supplies, ns to electrical machinery, equipment and supplies, nec
replace ind1990=342 if ind1990==350

* guided missiles, space vehicles, and parts to aircraft and parts
replace ind1990=352 if ind1990==362

* photographic equipment and supplies to misc manufacturing industries
replace ind1990=391 if ind1990==380

* watches, clocks, and clockwork operated devices to misc manufacturing industries
replace ind1990=391 if ind1990==381

* toys, amusement, and sporting goods to misc manufacturing industries
replace ind1990=391 if ind1990==390

* pipe lines, except natural gas to services incidental to transportation
replace ind1990=432 if ind1990==422

* telegraph and misc communication services to telephone communications
replace ind1990=441 if ind1990==442

* furniture and home furnishings to miscellaneous wholesale, durable goods
replace ind1990=532 if ind1990==501

* professional and commercial equipment and supplies to miscellaneous wholesale, durable goods
replace ind1990=532 if ind1990==510

* retail nurseries and garden stores to misc general merchandise stores
replace ind1990=600 if ind1990==582

* mobile home dealers to misc general merchandise stores
replace ind1990=600 if ind1990==590

* variety stores to misc general merchandise stores
replace ind1990=600 if ind1990==592

* dairy product stores to food stores nec
replace ind1990=611 if ind1990==602

* household appliance stores to misc retail stores
replace ind1990=682 if ind1990==632

* music stores to misc retail stores
replace ind1990=682 if ind1990==640

* to misc retail stores
replace ind1990=682 if ind1990==651

* to misc retail stores
replace ind1990=682 if ind1990==652

* to misc retail stores
replace ind1990=682 if ind1990>=661&ind1990<=663

* savings institutions, including credit unions to banking
replace ind1990=700 if ind1990==701

* automobile parking and carwashers to automotive rental and leasing, without drivers
replace ind1990=742 if ind1990==750

* funeral service, shoes repair shops, dressmaking shops to misc personal services
replace ind1990=791 if ind1990==781|ind1990==782|ind1990==790

* video tape rental to miscellaneous entertainment and recreation services
replace ind1990=810 if ind1990==801

* offices and clinics of optometrists to health services, n.e.c.
replace ind1990=840 if ind1990==822

* offices and clinics of health practitioners, nec to health services, nec
replace ind1990=840 if ind1990==830

* vocational schools to educational services, nec
replace ind1990=860 if ind1990==851

* job training, fmily child care homes, child day care service to social services, n.e.c.
replace ind1990=871 if ind1990>=861&ind1990<=863

* labor unions & membership organizations, n.e.c. to miscellaneous professional and related services
replace ind1990=893 if ind1990==873|ind1990==881

* all public administration (no national security) to general government nec
replace ind1990=901 if ind1990==900|ind1990>=902&ind1990<=931

* all branches of active duty military (air force, navy, etc) to single category (army)
replace ind1990=932 if (ind1990>=940 & ind1990<=960)

drop if ind1990>=992|ind1990==0





