clear all
set scheme s1mono
set more off
cap log close

cd C:\Users\gperi\Dropbox\Giovanni_MigrationConference2015

log using logfiles\scatter_aggregated_czone_gaetano.txt, text replace

disp "DateTime: $S_DATE $S_TIME"

/* *******************************************************************
 Maps with CZ-aggregated dataset (count & share of 
 immigrants, wages of natives and count of population).
 
 Coordinates for the CZ map have been downloaded from:
 http://www.equality-of-opportunity.org/index.php/data > 
 Replication Stata Code and Datasets > replicate (floder in zipfile)
 
 Created on 1/8/2015 by Gaetano Basso (gbasso@ucdavis.edu)
******************************************************************* */

use data/aggregated_czone.dta, clear

*** Maps: Changes logwages and changes immig share, 1970-2010 ***
graph drop _all
foreach v in lweekly lannual lwage shareimmig _immi_std {
if "`v'"=="_immi_std" {
local var "Std. Immigrants Change" 
}
else {
local var: variable label `v'
}


preserve 
keep d20101970* survey czone
keep if survey==2010

rename czone cz
merge 1:1 cz using MobilityProjectFilesCZsmaps/cz1990_id.dta
rename id _ID
drop if (cz>=34101&cz<=34115)|(cz>=34701&cz<=34703)|cz==35600

** Creates map merging oil data and coordinates **
spmap d20101970`v' using MobilityProjectFilesCZsmaps/cz_coords_clean, id(_ID) ///
	clmethod(quantile) saving("graphs/map_d_`v'_19702010", replace) ///
	name("map_d_`v'_19702010", replace) /*legenda(off)*/ ///
	title("`var', Changes 1970-2010") ylabel(,angle(0)) 
graph export graphs/map_d_`v'_19702010.pdf, replace

restore
}
	

*** Clean folder ***
clear all
cd C:\Users\Tano\Dropbox\Giovanni_MigrationConference2015\graphs
shell erase *.gph

